package net.wanji.databus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @ClassName EventInfoPO
 * @Description 路口监测、干线监测-交通状态 查询DTO
 * @Author zhouleilei
 * @Date 2025/1/14 10:50
 */
@Data
@Valid
public class EventInfoTrafficStatusDTO {
    @ApiModelProperty(value = "路口/干线ID",notes = "")
    @NotNull(message = "id 不能为空")
    private String id ;

    @ApiModelProperty(value = "查询类型:1-路口，2-干线",notes = "")
    @Range(min =1,max = 2,message = "queryType 区间 1 - 2")
    @NotNull(message = "queryType 不能为空")
    private Integer queryType ;

    @ApiModelProperty(value = "事件类型:1-路口失衡，2-路口拥堵,3-路口溢出,4-路口死锁,5-相位空放,6-干线-缓行,7-干线-拥堵",notes = "")
    @Range(min =1,max = 7,message = "eventType 区间1-7")
    @NotNull(message = "eventType 不能为空")
    private String eventType ;
}
